Introduction

KPiSync is a Mobile Application to help users "Visualize your Key Business Metrics on any device in real time". The CONNX KPiSync solution was designed with the purpose of providing users with a quick and easy method of delivering Key Performance Indicators from all facets of a business to users via a smart phone or tablet. The KPiSync solution will report key performance indicators from any business server to a mobile device (Windows 8 Phone or Tablet, an iOS Phone or Tablet, and others). There are three components to the CONNX KPiSync solution, the Administrator, the Store Application and the Mobile Application. The Store and Mobile Applications display key performance indicators to the user that is sent from the administrator server.

A sample business use case for the CONNX KPiSync application for reporting sales key performance indicators (using the CONNX Sample data):

Company A has just launched a product called "Steeleye Stout" and the head of marketing wants to track the sales growth in real-time. Using the KPiSync Administrator a key performance indicator is created, {the SQL for the performance indicator is a SUM of all the quantities from all the orders of that product. "SELECT SUM(PRODUCTQUANTITY) FROM Orders_sqlserver WHERE PRODUCTID=35"} This SQL statement returns the total amount of the new product that has been ordered. Then the KPiSync administrator gives the key performance indicator a description so the user knows what the number represents and also puts in target levels for the sales so a user can quickly determine the growth or drop in sales based on the color coding used on the Key Performance indicator. Once the key performance indicator is created it can be scheduled to execute on an interval and sent to all users.

A user of a Windows 8 phone or tablet, that has downloaded the CONNX KPiSync app and logged in will start receiving key performance indicators. Once logged in, the mobile device will contact the server and pull the key performance indicators that are assigned to that user. The KPiSync App will then display the data graphically to the user and color code the result based on the targets set initially. When the replication server has a new key performance indicator or an update, it will send a message to all the devices that are logged in. This notification is displayed to the user(s) and the new key performance indicator will be automatically downloaded and displayed to the user. Any time the user wants to stop receiving notifications, they just log out and the next time they log in they will get the latest key performance indicators.


System Requirements

The system requirements for the CONNX KPiSync administrator are listed in the table below:

Required | Recommended
Windows Vista SP2 / 7 SP1 / Windows 8 / 8.1 / Windows Server 2008 SP2 / R2 SP1 / Windows Server 2012 / R2 | Windows Vista SP2 / 7 SP1 / Windows 8 / 8.1 / Windows Server 2008 SP2 / R2 SP1 / Windows Server 2012 / R2
200 GB Free Space | 100+ GB Free Space
1 GHz or higher CPU | Dual processor - 2 GHz or higher CPU
512 MB RAM | 2 GB RAM
IDE or SCSI disk drive controller | Raid controller or mirrored drive controller
10 MB/second network card or WAN connection | 1 GB network card or LAN connection

The system requirements for the CONNX KPiSync Windows Store App are listed below:

Required

Windows 8 / 8.1 / Windows Server 2012 / R2

2 GB Free Space

1 GHz or higher CPU

512 MB RAM

10 MB/second network card or WAN connection

The system requirements for the CONNX KPiSync Windows Phone Mobile App are listed below:

Required

OS: Windows Phone 8 or above

Mobile device: Windows Phone

The system requirements for the CONNX KPiSync Apple iOS iPhone/iPad Mobile App are listed below:

Required

OS: iOS 7.0 or later.

Mobile device: iPhone, iPad or iPod touch. Optimized for iPhone 5.

The system requirements for the CONNX KPiSync Android Mobile App are listed below:

Required

OS: Android 4.1 and above

Mobile device: Android phone or tablet running Android 4.1 or above


Summary of Product Function

Product Features of the Windows 8 Store/Phone apps.

The KPiSync Administrator allows a user to manage what key performance indicators are displayed to users of the Windows 8 Phone and Store apps. The CONNX KPiSync Windows Phone app allows users to receive performance indicators and notification of changes to their Windows 8 Phone. The CONNX KPiSync Windows Store app allows users to receive performance indicators and notification changes to any Windows 8 device.

The function of the KPiSync Administrator is to add users that will receive performance indicators, create the performance indicators and schedule times to send the latest performance indicators to the users. User logins must be created, so the Windows 8 device app users can log in and receive performance indicator updates and notifications. The performance indicators will be graphically represented to the users with a green, yellow or red display. This levels at which each color is displayed are set when the performance indicators are created. This is so the user can see quickly if the sales are meeting goals or if an inventory has gotten low. Since the performance indicators will be dynamic, not static data, a schedule can be set up to refresh each indicator. The schedule can be set to run at many different intervals depending on how fast the data changes. After a refresh runs if the performance indicators has changed it will be sent out to the users.

The Windows 8 Store app can be downloaded by any Windows 8 device user so they can start receiving performance indicator information. Once downloaded, all the user needs to do is login with the information provided to them by the administrator and they will start receiving performance indicators and updates. The user can look at all the performance indicators in all the groups together or select a group or even a single indicator to look at. The single performance indicator will show the user all the information about the data. To stop receiving updates the user just needs to log off the KPiSync app.

The Windows 8 Phone app is very similar to the Windows 8 Store app, however it must be downloaded from the Windows 8 Phone store location. Once installed, the user can login with the information provided to them by the administrator and they will start receiving performance indicators and updates. The user can look at all the performance indicators in all the groups together or select a group or even a single indicator to look at. The single indicator will show the user all the information about the data. To stop receiving updates the user just needs to log off the KPiSync app.


Installing the Dashboard

Installing KPiSync

The CONNX KPiSync Administrator is installed during a CONNX installation. When the Database Module screen is shown, KPiSync should be checked. It is necessary to have the appropriate KPiSync license. See the CONNX Installation Guide for more information.

  1. Install CONNX, the KPiSync module must be licensed and selected before continuing with installation. Click the Next button.

  2. Important: If you already have one or more CONNX licenses, you must select the check box for each database for which you are licensed. Failure to do so will cause the license for that database to uninstall.

  3. Once CONNX and the KPiSync Administrator are installed, you may need to restart your computer. Please do so if prompted.

  4. Confirm that CONNX KPiSync Scheduler Service is running by going to the Start menu. Point to Settings, and then click Control Panel. Click Administrative Tools, and then click Services. The Status column for the service should read Running. Close Control Panel.


Login Information

To set Log in information

  1. If this is the first time logging into the KPiSync Administrator, the Log in tab is shown. Once a successful connection has been made that information is saved and used to automatically log in the next time the KPiSync Administrator is opened. Once the connection is made, to get back to this screen to change information select File -> Log out and that will bring up this screen so new connection or data dictionary information can be entered.

  2. In the Log in tab there are two types of information required. First, the location for the CONNX Data Dictionary (CDD) to be used for building the key performance indicators. The second is the CONNX KPiSync Login Information user id and password, this is to connect to the mobile service that will update data points on Windows Store and Phone apps.

  2. Connect to a Data Dictionary by selecting the Browse button to bring up a window that can be used to search and select a CONNX Data Dictionary. The data dictionary is what will be used to get data points from the databases and so it can be sent to the Windows Store and Phone apps. The connection to the data dictionary will be opened when the Log in button is pressed after entering the CONNX KPiSync Login Information.

  3. For the CONNX KPiSync Login Information, enter the administrator user name and password to connect to the CONNX KPiSync service. This administrator account is needed to create users that can log into the CONNX service and receive data point updates. After entering the user name and password, press the Log in button to connect.

  4. If this is the first time using the CONNX KPiSync service, press the Sign up button to set up the CONNX service to receive data points. In order to ensure unique user ID's on the KPiSync server, the user name must be in a valid email address format. Your company's domain name should be used as part of this ID. .


Managing user accounts

  1. The Accounts tab is used to add accounts to send data points to. These accounts will be used by the KPiSync Windows Store or Mobile apps to receive the data points. The users of the Store and Mobile apps will input a user name that was entered here to subscribe to and receive data points.

  2. To add a user, enter a user name in the User ID field and a password in the Password fields, then press the Add button. Note, in order to ensure unique user ID's on the KPiSync server, the user name must be in a valid email address format. Your company's domain name should be used as part of this ID. You will see the user added to the list below.

  3. If you have entered a user name and password, then decided to change them and start over, press the Clear button and the User ID and both Password fields will have all text removed from them.

  4. To change the password on an existing account, select the user name from the User accounts list and press the Change Password button. That will bring up the Password Reset form, enter the new password and select the Reset button and it will save the new password.

  5. To delete an existing user account, select the user name from the User accounts list and press the Delete User button. That will remove the account from any data point updates or scheduled pushes.


Adding KPi's

Adding Key Performance Indicators

  1. The KPis tab is used to add, edit, push, delete and subscribe users to key performance indicators. A key performance indicator is the value and description that will be sent to the KPiSync Windows Store application as well as Mobile applications running on Windows Phone, iOS and Android operating systems.

  2. To add a data point, press the Add button, the KPi Properties screen will appear.

  3. First enter a Title for the performance indicator, this title will be what the performance indicator is named when it is pushed to the apps. Then enter a Category, this will be used to group the performance indicators together on the Store and Phone apps. Next, write a Description of what the performance indicator is, this will be shown when the app users want more information and drill down into the specific performance indicator.

  4. A SQL statement is used to actually get the data that will be sent to the Store and Phone apps. A SQL statement can be copied into the SQL field, or the Query Builder can be used to create the SQL Query. The SQL Query needs to return a single point of information, aggregations work well.

  5. The SQL criteria for color ranges is for giving a graphical display of what the performance indicator means. For example if the performance indicator is tracking sales, this will tell the user if the sales amount is lower then what is good, getting close to the goal, or it is meeting the goals. This can be displayed with red, yellow or green icons, that way as the sales figure is growing the user will see a green icon when the data has met the goal. the SQL criteria can be in the form "cnxvalue > 80" or just "> 80". If a single number is input with no other criteria it will be treated as an equal when evaluating the number.

  6. In the Tile Image, the administrator can choose what graphical icon will be displayed on the users app. There are red, yellow and green versions of each image.

  7. Select OK to return to the KPis tab, the new performance indicator has now been added to the list.

  8. If you wish to specify which users will get updates for the new KPi, please see the chapter on Subscribing Users.


Editing KPi's

Editing Key Performance Indicators

  1. To edit an existing performance indicator: In the list of existing performance indicators, select the performance indicator you wish to edit and then press the Edit button. The KPi Properties window will appear.

  2. Use the properties window to change the Title, Category, Description for the performance indicator. If the data returned is not correct, the SQL statement that retrieves it can be changed also. At this point the SQL Criteria can be edited and a different Tile Image can be selected. Changes will be saved when the OK button is pressed.


Deleting KPi's

Deleting Key Performance Indicators

  1. To delete an existing performance indicator: In the list of existing performance indicators, select the performance indicator you wish to delete and then press the Delete button.

  2. You will be prompted if you are sure you wish to delete the performance indicator, after confirming the deletion the performance indicator will be removed.


Getting started

Query Builder allows you to build complex SQL queries via an intuitive visual interface.

Query Builder will help you to write correct SQL code without technical details. To work with Query Builder, you need to know basic SQL concepts; if you do not understand SQL principles you may not get the desired results.


Opening the Query Builder

  1. Click the Build Query button

  2. The Query Builder opens in a new window.

The main window can be divided into the following parts:

    • The Query Building Area is the main area where the visual representation of query will be displayed. This area allows you to define source database objects and derived tables, define links between them and configure properties of tables and links.

    • The Columns Pane is located below the query building area. It is used to perform all necessary operations with query output columns and expressions. Here you can define field aliases, sorting and grouping, and define criteria.

    • The Query Tree Pane is located to the left of the query building area. Here you may browse your query and quickly locate any part of it.

    • The Table List Pane is located to the right of the query building area. It contains a list of all the tables available for query building.

The page control above the query building area allows you to switch between the main query and sub-queries.

The small area in the corner of the query building area with the "Q" letter is the union sub-query handling control. Here you may add new union sub-queries and perform all necessary operations with them.

3. Exiting the Query Builder. To exit and save changes to the SQL Query window, select the "Done" button. To exit without saving any changes to the query select the "Cancel" button. The "Execute" button will save the query to the SQL Query entry in the application and also run the query so the results can be viewed.


Adding an object to the query

Adding an objet to the query

To add an object to the query, right click the query building area and select Add Object.

The Add New Object window allows you to add as many objects as you wish at once.

The objects are grouped according to their type by four tabs: Tables, Views Procedures (functions) and Synonyms. To select multiple objects to add to the query, hold the Ctrl key down, click the object name, and then click Add Object. You may repeat this multiple times. After you finish adding objects, click Close to hide this window.

To remove an object from the query, select it and click the Delete key or simply click Close in the object header.

For those servers that have schemas or allow selection of objects from different databases, you may filter objects by database or schema name by selecting the necessary schema or database from Filter objects by Schema name.

Query Builder can establish links between tables based on the information about foreign keys in the database. This ability is turned on by default. To turn it off, clear Create links from foreign keys.


Editing object properties

To change the properties of each object added to the query, right click the object name and select Properties item from the drop-down menu or double-click the object header.

The Datasource Properties window appears.

The Datasource Properties dialog may vary from server to server, but the Alias property is the same for all database servers.


Joining tables

To join tables, create a link between an object in each of the tables.

  1. In the Query Builder window, open at least two tables.

  2. In the first table, select the field that you want to link and drag it to the corresponding field of the other object.

  3. After you finish dragging, a line connecting the linked fields appears.

    The default join type is INNER JOIN; only matching records of both tables will be included in the resulting dataset.

  4. To define other types of joins, right click the link and select Edit... or double-click the link.

  5. The Link Properties dialog box appears.

    Using Link Properties, you can define join type and other link properties.

  6. To remove a link between objects, right-click the link line and select Remove.


Selecting output fields

There are several ways to add a field to the query output field list:

  • In the Query Building Area select the field name. To include all the fields of the object, select the list item with an asterisk in the field name area.

  • In the Columns Pane, select a field name from the Expression column drop-down list.

  • in the Columns Pane, enter a valid expression in the Expression column .

There are two way to remove a field from the list of query output fields:

  • In the Query Building Area, clear the checkbox at the left of the field name

  • Clear the Output column checkbox.

Using the drop-down menu, you can remove lines from the Columns Pane or re-order output by right clicking on the left most gray column.

Define any output field aliases in the Alias column of the Columns Pane.


Sorting output fields

Use the Sort Type and Sort Order columns in the Columns Pane to sort the output query fields.

Use the Sort Type column to specify if the field will be sorted in ascending or descending order.

The Sort Order column specifies the order when multiple field are sorted.

If you don't want to sort by a field, clear it's Sort Type column.


Defining expression criteria

Use the Criteria column to define query criteria for the expression listed in the Columns Pane .

In the Criteria column, enter the criterion omitting the expression itself.

If you want to select the those expressions that are greater than or equal to 10 but less than or equal to 20:

WHERE (field >= 10) AND (field <= 20)

enter

>= 10 AND <= 20

in the Criteria column.

If you have multiple criteria for a single expression, enter each additional criterion in the Or... columns. These criteria will be concatenated in the query using the OR operator.


Grouping output fields

To setup grouping by some of the fields and/or to define aggregate functions on grouped rows you may use the Group by column.

You may select one of the following values for this column from the drop-down list:

  • Expression and Where: These values are used when no grouping is specified. Expression is set when this expression is used as an output expression in the SELECT clause and nothing else. Where is set automatically when you define a criterion to this expression that results in including this expression to the WHERE clause. Normally you shouldn't care about the value of the Group By column when you don't want to define grouping.

  • Group by and Having: These values are similar to Expression and Where, but used when you want to define grouping in your query. In this case, you should set Group by for all columns you want to group by. Specifying criteria for the grouped columns will include these criteria in the HAVING clause. If you want to include an expression ONLY in the HAVING clause you should set the Having value in the Group By column for this expression.

  • Aggregate functions (Count, Sum, etc): By selecting one of these values, you will create an aggregate expression for the value indicated in the Expression column.

Grouping output fields


Adding a sub-query

There are two ways to add a sub-query.

  1. In the Columns Pane, right click on the Expression or Criteria column. From the drop-down menu, select Insert SubQuery.

  2. Type "(Select)" in the Expression column and type either "= (Select)", "In (Select)", or any other valid sub-query expression, in the Criteria column.

CONNX creates a new sub-query tab. Switch to the sub query tab to visually edit the sub-query the same way you edit the main query.

There are two ways to switch to the sub-query tab:

  • Click the sub-query tab.

  • In the sub-query cell, click the ellipsis button. If the cell contains more than one sub-query, a drop-down menu appears. Select the sub-query you want.


Adding a derived table

Derived tables are a sub-query used in the FROM clause.

To add a sub-query, right click on the Query Building Area and select Add Derived Table.

The query building area now contains a object and a corresponding tab representing the newly created derived table. This tab allows you to edit the sub-query the same way as you edit the main query.

Another way to switch to the sub-query tab is to press the derived table's maximize button.


Working with unions

You can work with union sub-queries using the small panel in the top-right corner of the Query Building Area. Initially there is only one union sub-query labeled with the letter Q.

To begin working with union sub-queries, right-click the Q.

To add a new union sub-query, right-click the Q and select New union sub-query.

When there are multiple union sub-queries, when you right-click the Q, the choices change.

To move the sub-query or bracket to the top of the query (the topmost sub-query is the left one), right-click the Q and select Move Left.

To move the sub-query or bracket to the bottom of the query, right-click the Q and select Move Right.

To remove the sub-query, right-click the Q and select Remove.

Union sub-query bracket operations

To enclose the sub-query in brackets right-click the Q and select Enclose with brackets.

To remove the brackets from a sub-query, right click on the query bracket and select Remove brackets.

Union operations

To change a union operand, right-click on the union button uniting the two queries you want to modify.

Right-click on Union All to change the selected Union operand to Union All.

Right-click on Except to change the selected Union operand to Except.

Right-click on Intersect to change the selected Union operand to Intersect.


Navigating the query tree

The Query Tree Pane allows you to browse the compact tree-like representation of the entire query. This is useful if the query is complex.

You can expand or contract the query tree. When you click on any entry, the Query Builder displays that part of the query.


Multiple KPi's in a single group

To place multiple KPis into a single group

  1. Select the Groups tab in the CONNX KPiSync Administrator tool window.

  2. Click the Add button to create a new group.

  3. The Group Properties dialog box appears.

  4. Enter a name for the new group, and then select the performance indicators to be included in the group.

  5. Click the single arrow button that points to the right to move the selected tables.

  6. Click the OK button to create the group.

  7. To change the properties of the group, to add or remove data points from the group, select a group and click the Properties button.

  8. The Group Properties dialog box appears.

  9. Select the desired changes, and then click the OK button.


To push a group on demand

  1. Click the Push Now button to start the performance indicator push process.

  2. The Push Status screen appears.

  3. Information regarding the push of the performance indicators will be listed in this status screen. Any errors during the performance indicator push process will also be displayed here.

  4. Once the performance indicator push is complete the Group tab will display the last push time for that group.

  5. If you wish to perform this group push on a regular basis, you can create a schedule. To create a schedule, click the Schedule tab to establish the timing of the push. See To schedule a push task for more information.

  6. If you wish to specify which users will get updates for the KPi's associated with this group, please see the chapter on Subscribing Users.


To schedule a DataPoint push task

To schedule a Key Performance Indicator Push task

  1. Select the Schedule tab in the CONNX KPiSync Administrator tool window.

  2. Click the Add button to create a new scheduling task.

  3. The Select Item to Schedule dialog box appears.

  4. Select the KPis or groups to be included in the scheduling task.

  5. Click the OK button.

  6. The Push Recurrence Frequency dialog box appears.

  7. Enter a name for the schedule in the Schedule Name text box, and then click the Set Recurrence Pattern button.

  8. The Date and Time Selection dialog box appears.

  9. The options available in this dialog box enable you to set a performance indicator push schedule that can occur on a specific day, or at a specific minute or hour. You can also establish a specific range of days or hours in which the push is active, and then specify the day and time at which the push ceases.

  10. Click the OK button to return to the Push Recurrence Frequency dialog box. Click the OK button. If the CONNXMobileSchedule service has not been started, a dialog box appears asking if you would like to start the service. Click the Yes button.

  11. If the service has been started once, then stopped, a dialog box appears asking if you would like to restart. Click the Yes button.

  12. The Push Recurrence Frequency dialog box appears. Click the OK button to continue.


To select a DataPoint Push date

To select a Key Performance Indicator Push date

  1. In the Date and Time Selection dialog box, under Date Selection, click the Trigger every ___ days radio button, and then enter a number in the text box.

  2. If you want to change the trigger date, click the Trigger on specific days radio button, and then click the Plus sign button.

  3. The Select Days dialog box appears.

  4. Under Months, select a month check box. You may select more than one month.

  5. Under Days, there is a range of daily triggers to choose from. If you select Trigger on these days of the month, you must click the radio button, then click the check boxes for the days. You can choose one or more days.

  6. If you select Trigger on these days of the week, you must click the radio button, then click the check boxes for the days of the week. You can choose one or more days of the week.

  7. If you select Trigger ___ days _____ the _____ _____________, you must click the radio button, then choose items from the list boxes.

  8. If you select Trigger ___ days _____ the last day of the month, you must click the radio button, enter a day, then choose either After or Before from the list box.

  9. If you select Trigger ___ days _____ Easter, you must click the radio button, enter a day, then choose either After or Before from the list box.

  10. Click the OK button to return to the Date and Time Selection dialog box.


To select a DataPoint push time

To select a Key Performance Indicator Push time

  1. In the Date and Time Selection dialog box, under Time Selection, click the Trigger every ___ ______ between _________ and ________ radio button, and then enter a number in the first text box. Select either Minutes or Hours from the first list box, then select the hour from the two clocks during which you want the synchronization task to run.

  2. If the scheduling requirement is irregular, you may use the second option. Select the radio button, and then select the hours you need from the list box. When you have completed your scheduling input, click the Save icon.

  3. To remove any of the information from this schedule, select the time you want to remove, then click the Delete button. To return to adding more scheduling time, click the Plus button.

  4. Click the OK button to return to the Push Recurrency Frequency dialog box.


To select an active range

  1. In the Date and Time Selection dialog box, under Active Range, select a date from the This item is active beginning text box, and then select a time from the list box.

  2. To establish an end date for a synchronization task, select the This item is only active until check box.

  3. Click the OK button to return to the Push Recurrence Frequency dialog box.


To establish holiday scheduling

  1. In the Date and Time Selection dialog box, under Holidays, select from the choices by clicking either the No special treatment, Do not trigger on holidays, or Trigger only on holidays radio button.

    The CONNX Data Synchronization Tool is currently programmed to include New Years Day (January 1), Memorial Day (May 30), Independence Day (July 4), Thanksgiving Day (fourth Thursday in November), Labor Day (first Monday in September), and Christmas (December 25) in its holiday schedule.

  2. Click the OK button to return to the Push Recurrence Frequency dialog box.


To view scheduling properties

  1. On the Schedule tab, under Schedules, select a Schedule.

  2. Click the Properties button.

  3. The Push Recurrence Frequency dialog box appears.

  4. Click the Set Recurrence Pattern button.

  5. The Date and Time Selection dialog box appears. Check or change the properties of the synchronization triggers.


User Subscriptions

Once User Accounts, KPi's and/or Groups have been created, users need to be subscribed to individual KPi's or groups of KPi's. Users will only receive data for KPi's or Groups to which they are subscribed.

Subscriptions allow you to control which users see which Key Performance Indicators. For example, you may wish to group all sales related KPi's into a single group named Sales. You can then set up subscriptions for every member of the sales force to receive those KPi's.

Subscriptions may be managed from three different perspectives:

  1. From the Accounts Tab, you can view, add or remove subscriptions to individual KPi's or Groups on a per user basis. Please see the Subscription by Account topic in this chapter for more information.
  2. From the KPi's Tab, you can view, add or remove subscribed users to individual KPi's. Please see the Subscription by KPi topic in this chapter for more information.
  3. From the Groups Tab, you can view, add or remove subscribed users to individual Groups. Please see the Subscription by Group topic in this chapter for more information.

While the needs of each environment will vary, it is recommended that KPi's be added to Groups and then users can be subscribed once to a group rather than creating multiple subscriptions for several KPi's.


Subscription by Account

To view, add or remove subscriptions to KPi's and/or Groups on a per user basis:

  1. On the Accounts tab, select the user you wish to work with and click Subscribe button. This will bring up the Subscribe Users to KPi's or Groups dialog.

  2. This dialog has two lists. The Available KPi's/Groups list displays the Groups and KPi's that the user is not yet subscribed to. The Selected KPi's/Groups list displays the KPi's and Groups that the user is currently subscribed to. Moving items from the Available list to the Selected list will subscribe the user to those items and moving items from the Selected list to the Available list will removed the subscription. Changes will not be made until either the Apply or OK buttons are pressed.
  3. For this example, we will have SalesUser@connx.com receive updates for all the KPi's in the Food Sales group. Select Food Sales and then click the Add button.

  4. Press OK to update the KPiSync cloud server with the new subscription information. To work with another user without leaving this dialog, press Apply to apply the current changes and then select a new user from the User Name pull down.


Subscription by KPi

To view, add or remove subscriptions for a user or a list of users on a per KPi basis:

  1. On the KPi's tab, select the KPi you wish to work with and click Subscribe button. This will bring up the Subscribe Users to KPi's dialog.

  2. This dialog has two sections.
    The Users section displays two lists. The Available Users list displays the users that are not yet subscribed to this KPi. The Selected Users list displays the users that are currently subscribed to this KPi. Moving users from the Available list to the Selected list will subscribe the user to the selected KPi and moving users from the Selected list to the Available list will removed the subscription.

    The Subscribed via Group section is a read-only list that indicates when a user is already receiving this KPi via a group. In our example, SalesUser@connx.com and SalesUser2@connx.com are both subscribed to the Gorgonzola Telino Sales KPi via the Food Sales group. While you can also subscribe these users individually to this KPi, it is not recommended as you will then have two redundant subscriptions to manage. Subscribing a user to both an individual KPi as well as a group that contains that KPi will not result in duplicate data being sent to the mobile device the user is logged into. If a user is subscribed to both a KPi as well as a group containing that KPi, unsubscribing them from the group will not unsubscribe them from the individual KPi (and vise versa). In this case, you would need to unsubscribe them from both if you did not want them to receive updates for a KPi.

    Changes will not be made until either the Apply or OK buttons are pressed.
  3. To subscribe SalesUser3@connx.com to this KPi, select that user and press the Add button.

  4. Press OK to update the KPiSync cloud server with the new subscription information. To work with another KPi without leaving this dialog, press Apply to apply the current changes and then select a new KPi from the KPi Name pull down.


Subscription by Group

To view, add or remove subscriptions for a user or a list of users on a per Group basis:

  1. On the Groups tab, select the Group you wish to work with and click Subscribe button. This will bring up the Subscribe Users to Groups dialog.

  2. This dialog has two lists. The Available Users list displays the users that are not yet subscribed to this Group. The Selected Users list displays the users that are currently subscribed to this Group. Moving users from the Available list to the Selected list will subscribe the user to the selected Group and moving users from the Selected list to the Available list will removed the subscription. Changes will not be made until either the Apply or OK buttons are pressed.
  3. To subscribe SalesUser3@connx.com to this Group, select that user and press the Add button.

  4. Press OK to update the KPiSync cloud server with the new subscription information. To work with another Group without leaving this dialog, press Apply to apply the current changes and then select a new Group from the Group Name pull down.


Dashboard Windows App

Using the KPiSync Windows Store App

  1. Download the CONNX KPiSync Windows Store app from the Microsoft app store.

  2. The first time you open the KPiSync app it will ask you to login. Use the user name and password set up by your administrator. If you do not have a user name and password, contact your administrator and they will use the CONNX KPiSync Administrator to create one for you.

  3. Once you log in, you will start receiving data points and updates as they are pushed out from the CONNX KPiSync administrator server.

  4. The data points will be in grouped together by subject, by double clicking or tapping on the group it will show all the data points in a single group

  5. To see a detailed description a specific data point, just double click or tap on that data point and it will expand to show a description.

  6. To stop receiving updates you can log off the KPiSync app by using the Settings on the right menu. Select Settings and log off, you will then have to log in again to start receiving notifications and data point updates.


Dashboard Windows Phone App

Using the KPiSync Mobile App

The KPiSync Mobile App is supported on Windows Phone, Apple iPhone/iPad and Android phones. The screenshots below were taken on a Windows Phone. The iOS and Android screens may be slightly different, but the functionality is the same.

  1. Download the CONNX KPiSync mobile app from the app store associated with your particular mobile platform.

  2. The first time you open the KPiSync app it will ask you to login. Use the user name and password set up by your administrator. If you do not have a user name and password, contact your administrator and they will use the CONNX KPiSync Administrator to create one for you.

  3. Once you log in, you will start receiving data points and updates as they are pushed out from the CONNX KPiSync administrator server.

  4. The data points will be in grouped together by subject, by tapping on a data point it will show the description of the data point. By selecting Enable Secondary Tile this data point will be pinned to the start screen. That way the this data can be seen without going into the app.

  5. To stop receiving updates you can log off the KPiSync app by using tapping the three dots at the lower part of the screen. That will show a Sign off button, select that to log off, you will then have to log in again to start receiving notifications and data point updates.


CONNX Dashboard Tool

Trademarks and Copyright

Legal Notices

This notice is valid for all products of the Adabas®, Bolero®, EntireX®, Natural® and Tamino® (the "Product") product line and associated Software AG products.

IMPORTANT: PLEASE READ BEFORE INSTALLING THE SOFTWARE

You are not allowed to install or use the Product without a corresponding license agreement.

If you have entered into a license agreement with one of Software AG's subsidiaries or distributors (the "License Agreement") the installation and use of the Product is subject to your acceptance of additional terms which are provided for you in the section Additional Terms.

If you have not entered into a License Agreement you must execute the license agreement with Software AG which is provided for you in the section Software AG License Agreement for Trial Versions of Software AG Software ONLY.

--------------------------------------------------------------------------------

Copyright Notice

Adabas®, Bolero®, EntireX®, Natural® and Tamino® are Products of Software AG, a German corporation with its principal place of business at Uhlandstrasse 12, 64297 Darmstadt.

Software AG is the sole owner of all industrial property rights and copyright to the Products and accompanying user documentation or has the respective distribution rights. References made in or on the Products to the copyright or to other industrial property rights must not be altered, deleted or obliterated in any manner.

© Copyright 1998-2016 CONNX Solutions, Inc. All Rights Reserved.

© Copyright 2017 Software AG, Uhlandstrasse 12, 64297 Darmstadt, Germany 2016. All rights reserved.

Trademark Notice

The name Software AG and/or all Software AG Products are either trademarks or registered trademarks of Software AG. Other product and company names mentioned herein may be the trademarks of their respective owners.

CONNX, FTL, InfoNaut, InfoNaut Professional, and CONNX Data Synchronization are trademarks or registered trademarks of Software AG, in the USA and other countries.

Detailed information on trademarks and patents owned by Software AG and/or its subsidiaries is located at http://softwareag.com/licenses.

This software may include portions of third-party products. For third-party copyright notices, license terms, additional rights or restrictions, please refer to "License Texts, Copyright Notices and Disclaimers of Third Party Products". For certain specific third-party license restrictions, please refer to section E of the Legal Notices available under "License Terms and Conditions for Use of Software AG Products / Copyright and Trademark Notices of Software AG Products". These documents are part of the product documentation, located at http://softwareag.com/licenses and/or in the root installation directory of the licensed product(s).

Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG.

The following are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries:Microsoft, Microsoft Access, Microsoft Excel, Microsoft Internet Information Server, Microsoft .NET, Microsoft SQL Server, Microsoft Visual Basic, Microsoft Visual C++, Microsoft Visual FoxPro, Microsoft Visual Studio, Microsoft Windows.

The following are either registered trademarks or trademarks of their respective companies or organizations in the United States and/or other countries: Adabas - Software AG; Extra!, Attachmate - Attachmate Corporation; Borland C++ - Inprise Corporation; Crystal Reports - Seagate Software; DataFlex - Data Access Corporation; DB2, AIX, AS/400, C-ISAM, OS/2, OS/390, OS/400, IBM Communications Server, IBM Personal Communications, IBM eNetwork Personal Communications, IBM eNetwork Communications Server - International Business Machines Corporation; Dharma ODBC Integrator - Dharma Systems, Inc.; FOCUS -- IBI, Inc.; HP-UX -- Hewlett-Packard Company; Impromptu - Cognos Incorporated; Itanium - Intel Corporation; JetForm - JetForm Corporation; Linux - Linus Torvalds; NetWare for SAA, Novell - Novell, Inc.; Micro Focus -- Micro Focus International Limited; Oracle, Oracle Rdb, Oracle CODASYL DBMS, Oracle Developer, Form Builder, and Report Builder - Oracle Corporation; Paradox - Corel Corporation; Pathworks, Network File Transfer, RMS, DECnet, VMS, OpenVMS, VAXServer, AlphaServer - Compaq Computer Corporation; PowerBuilder - Sybase, Inc.; POISE (People Oriented Information Systems for Education) -- Campus America/Jenzabar; POWERflex - POWERflex Corporation; RUMBA, Wall Data - NetManage, Inc.; SCO -- Caldera Systems, Inc.; SCT, Plus2000 - Systems and Computer Technology Corporation; SIS - University of California Berkeley; Solaris, Sun - Sun Microsystems, Inc.; Unix - The Open Group.

Portions of the PostgreSQL Data Base Management System are copyrighted © 1996-2002,

PostgreSQL Global Development Group

Portions Copyright © 1994-7 Regents of the University of California

Permission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without a written agreement is hereby granted, provided that the above copyright notice and this paragraph and the following two paragraphs appear in all copies.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

SAS Institute Inc.

SAS/C OnlineDocTM, Release 7.00, Cary, NC: SAS Institute Inc., 2001.

SAS/C OnlineDocTM, Release 7.00, April 2001

SAS/C OnlineDocTM, Release 7.50, April 2004

Copyright © 2001 by SAS Institute Inc., Cary, NC, USA.

All rights reserved. Produced in the United States of America.

U.S. Government Restricted Rights Notice

Use, duplication, or disclosure of this software and related documentation by the U.S. government is subject to the Agreement with SAS Institute and the restrictions set forth in FAR 52.227-19, Commercial Computer Software - Restricted Rights (June 1987).

SAS Institute Inc., SAS Campus Drive, Cary, North Carolina 27513.

April 2001

SAS® and all other SAS Institute Inc. product or service names are registered trademarks or trademarks of SAS Institute Inc. in the USA and other countries. ® indicates USA registration.

dbCrypto

Copyright (c) 2002, Dr Brian Gladman, Worcester, UK.

All rights reserved.

LICENSE TERMS

The free distribution and use of this software in both source and binary

form is allowed (with or without changes) provided that:

1. distributions of this source code include the above copyright

notice, this list of conditions and the following disclaimer;

2. distributions in binary form include the above copyright

notice, this list of conditions and the following disclaimer

in the documentation and/or other associated materials;

3. the copyright holder's name is not used to endorse products

built using this software without specific written permission.

ALTERNATIVELY, provided that this notice is retained in full, this product

may be distributed under the terms of the GNU General Public License (GPL),

in which case the provisions of the GPL apply INSTEAD OF those given above.

DISCLAIMER

This software is provided 'as is' with no explicit or implied warranties

in respect of its properties, including, but not limited to, correctness

and/or fitness for purpose.

SIS

Copyright (c) 1989-1994, 2017 The Regents of the University of California.

All rights reserved.

Permission is hereby granted, without written agreement and without

license or royalty fees, to use, copy, modify, and distribute this

software and its documentation for any purpose, provided that the

above copyright notice and the following two paragraphs appear in all

copies of this software.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY

FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES

ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF

THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF

SUCH DAMAGE.

ICU Library

COPYRIGHT AND PERMISSION NOTICE

Copyright (c) 1995-2005 International Business Machines Corporation and others

All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, provided that the above copyright notice(s) and this permission notice appear in all copies of the Software and that both the above copyright notice(s) and this permission notice appear in supporting documentation.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION

WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.

Hiredis

Copyright (c) 2009-2011, Salvatore Sanfilippo <antirez at gmail dot com>

Copyright (c) 2010-2011, Pieter Noordhuis <pcnoordhuis at gmail dot com>

All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice,

this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice,

this list of conditions and the following disclaimer in the documentation

and/or other materials provided with the distribution.

* Neither the name of Redis nor the names of its contributors may be used

to endorse or promote products derived from this software without specific

prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE

DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR

ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES

(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;

LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON

ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS

SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

OCILib

Licensed under Apache 2.0

SAFMQ

Copyright 2004-2007 Matthew J. Battey, Omaha, NE

Licensed under the Apache License, Version 2.0 (the "License");

you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software

distributed under the License is distributed on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and

limitations under the License.

FreeTDS

Copyright (C) 1998-1999 Brian Bruns

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

ACE Library

Copyright and Licensing Information for ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), and CoSMIC(TM)

ACE(TM), TAO(TM), CIAO(TM), DAnCE>(TM), and CoSMIC(TM) (henceforth referred to as "DOC software") are copyrighted by Douglas C. Schmidt and his research group at Washington University, University of California, Irvine, and Vanderbilt University, Copyright (c) 1993-2009, all rights reserved. Since DOC software is open-source, freely available software, you are free to use, modify, copy, and distribute--perpetually and irrevocably--the DOC software source code and object code produced from the source, as well as copy and distribute modified versions of this software. You must, however, include this copyright statement along with any code built using DOC software that you release. No copyright statement needs to be provided if you just ship binary executables of your software products.

You can use DOC software in commercial and/or binary software releases and are under no obligation to redistribute any of your source code that is built using DOC software. Note, however, that you may not misappropriate the DOC software code, such as copyrighting it yourself or claiming authorship of the DOC software code, in a way that will prevent DOC software from being distributed freely using an open-source development model. You needn't inform anyone that you're using DOC software in your software, though we encourage you to let us know so we can promote your project in the DOC software success stories.

The ACE, TAO, CIAO, DAnCE, and CoSMIC web sites are maintained by the DOC Group at the Institute for Software Integrated Systems (ISIS) and the Center for Distributed Object Computing of Washington University, St. Louis for the development of open-source software as part of the open-source software community. Submissions are provided by the submitter ``as is'' with no warranties whatsoever, including any warranty of merchantability, noninfringement of third party intellectual property, or fitness for any particular purpose. In no event shall the submitter be liable for any direct, indirect, special, exemplary, punitive, or consequential damages, including without limitation, lost profits, even if advised of the possibility of such damages. Likewise, DOC software is provided as is with no warranties of any kind, including the warranties of design, merchantability, and fitness for a particular purpose, noninfringement, or arising from a course of dealing, usage or trade practice. Washington University, UC Irvine, Vanderbilt University, their employees, and students shall have no liability with respect to the infringement of copyrights, trade secrets or any patents by DOC software or any part thereof. Moreover, in no event will Washington University, UC Irvine, or Vanderbilt University, their employees, or students be liable for any lost revenue or profits or other special, indirect and consequential damages.

DOC software is provided with no support and without any obligation on the part of Washington University, UC Irvine, Vanderbilt University, their employees, or students to assist in its use, correction, modification, or enhancement. A number of companies around the world provide commercial support for DOC software, however. DOC software is Y2K-compliant, as long as the underlying OS platform is Y2K-compliant. Likewise, DOC software is compliant with the new US daylight savings rule passed by Congress as "The Energy Policy Act of 2005," which established new daylight savings times (DST) rules for the United States that expand DST as of March 2007. Since DOC software obtains time/date and calendaring information from operating systems users will not be affected by the new DST rules as long as they upgrade their operating systems accordingly.

The names ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), CoSMIC(TM), Washington University, UC Irvine, and Vanderbilt University, may not be used to endorse or promote products or services derived from this source without express written permission from Washington University, UC Irvine, or Vanderbilt University. This license grants no permission to call products or services derived from this source ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), or CoSMIC(TM), nor does it grant permission for the name Washington University, UC Irvine, or Vanderbilt University to appear in their names.

UMac

Copyright (c) 1999-2000 Ted Krovetz (tdk@acm.org)

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee, is hereby granted, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the names of the University of California and Ted Krovetz not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.

The Regents of the University of California and Ted Krovetz disclaim all warranties with regard to this software, including all implied warranties of merchantability and fitness. In no event shall the University of California or Ted Krovetz be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortious action, arising out of or in connection with the use or performance of this software.

Gigabase

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the Software), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR OF THIS SOFTWARE BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

System.Net.FtpClient

Copyright (c) 2013 J.P. Trosclair

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SharpSSH

Copyright (c) 2002-2015 Atsuhiko Yamanaka, JCraft,Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. The names of the authors may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL JCRAFT, INC. OR ANY CONTRIBUTORS TO THIS SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT

LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Mentalis

Copyright © 2002-2007, The Mentalis.org Team

All rights reserved.

http://www.mentalis.org/

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

- Neither the name of the Mentalis.org Team, nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

NLog

Copyright (c) 2004-2016 Jaroslaw Kowalski <jaak@jkowalski.net>, Kim Christensen, Julian Verdurmen

All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions

are met:

* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

* Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR

CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

MariaDB ODBC Driver

The MariaDB client libraries for C, Java and ODBC are distributed under the LGPL license, version 2.1 or later. The LGPL license allows you to distribute these MariaDB client libraries freely with any application.

About Software AG, Inc.

Based in Reston, Va., Software AG, Inc. is a wholly owned subsidiary of Software AG headquartered in Darmstadt, Germany. Founded in 1969, Software AG continues to be Europe's largest and a leading global provider of system software and services enabling enterprise data integration and management. Software AG's products control the central IT processes of thousands of renowned companies worldwide including Lufthansa, Siemens, Citibank, Merck, DaimlerChrysler, Sony, BP and Telefonica. Software AG develops products and solutions that support the XML (Extensible Markup Language) standard. XML simplifies the exchange of documents and data as well as the integration of cutting-edge Web applications into traditional IT architectures. In 2003, the corporation achieved 422 million euros in total revenue. Software AG has representation in 59 countries worldwide, and currently employs a staff of approximately 2,600.

Software AG and/or all Software AG products are either trademarks or registered trademarks of Software AG.

All other product and company names mentioned herein are used for identification purposes only, and may be the trademarks or service marks of their respective owners.